#version 450

layout(location = 0) in vec3 fragCol;
layout(location = 1) in vec2 fragTex;

// Final output output (must also have location)
layout(location = 0) out vec4 outColour;

layout(set = 1, binding = 0) uniform sampler2D textureSampler;

void main() {
    outColour = texture(textureSampler, fragTex);
}
